Bug 851844 - [abrt] subdownloader-2.0.14-3.fc17: subtitlefile.py:146:getExtraInfo:KeyError: 'downloadLink'
[abrt] subdownloader-2.0.14-3.fc17: subtitlefile.py:146:getExtraInfo:KeyError...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: subdownloader (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
abrt_hash:917138e1fc396b49498861837ce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 08:38 EDT by Jan Klepek
Modified: 2012-11-29 01:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 06:41:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Klepek 2012-08-26 08:38:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/subdownloader
executable:     /usr/bin/subdownloader
kernel:         3.5.2-1.fc17.i686.PAE
time:           Sun 26 Aug 2012 02:32:18 PM CEST
uid:            1000
username:       hpejakle

backtrace:
:subtitlefile.py:146:getExtraInfo:KeyError: 'downloadLink'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 1597, in onButtonDownloadByTitle
:    url = sub.getExtraInfo("downloadLink")
:  File "/usr/lib/python2.7/site-packages/subdownloader/modules/subtitlefile.py", line 146, in getExtraInfo
:    return self._extraInfo[info]
:KeyError: 'downloadLink'
:
:Local variables in innermost frame:
:info: 'downloadLink'
:self: <modules.subtitlefile.SubtitleFile object at 0xaaf03cc>
Comment 1 Jan Klepek 2012-08-26 09:28:56 EDT
upstream: https://bugs.launchpad.net/subdownloader/+bug/1041834
Comment 2 Fedora Update System 2012-11-19 03:25:58 EST
subdownloader-2.0.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/subdownloader-2.0.18-1.fc17
Comment 3 Fedora Update System 2012-11-19 03:27:27 EST
subdownloader-2.0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/subdownloader-2.0.18-1.fc18
Comment 4 Fedora Update System 2012-11-19 14:35:36 EST
Package subdownloader-2.0.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing subdownloader-2.0.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18508/subdownloader-2.0.18-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-28 06:41:56 EST
subdownloader-2.0.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-11-29 01:34:07 EST
subdownloader-2.0.18-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.